5.3.0-git
2014-09-21

[#11701] Search is not working (without elastic search)
Summary Search is not working (without elastic search)
Queue Trean
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-11-14 (676 days ago)
Due
Updated 2012-11-25 (665 days ago)
Assigned 2012-11-14 (676 days ago)
Resolved 2012-11-25 (665 days ago)
Milestone 1
Patch No

History
2012-11-25 20:28:12 Chuck Hagenbuch Comment #4
State ⇒ Resolved
Reply to this comment
added $conf['search']['enabled'], off by default, with directions not 
to turn it on unless elasticsearch is set up. This can obviously 
improve, but should get us going for now.
2012-11-25 20:26:48 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 5fb97dd2226eab66b2db4fb2add4f9a13dac0cc3
Author: Chuck Hagenbuch <chuck@horde.org>
Date:   Sun Nov 25 15:26:26 2012 -0500

     Turn search off by default (Bug #11701).

  trean/config/conf.xml     |    8 ++++++++
  trean/docs/CHANGES        |    1 +
  trean/lib/Application.php |    8 +++++---
  3 files changed, 14 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/5fb97dd2226eab66b2db4fb2add4f9a13dac0cc3
2012-11-14 18:20:53 Jan Schneider Comment #2
Milestone ⇒ 1
State ⇒ Assigned
Assigned to Chuck Hagenbuch
Reply to this comment
We need some way to turn the search off, or provide an alternative to 
elasticsearch.
2012-11-14 17:11:25 Thomas Jarosch Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Trean
Summary ⇒ Search is not working (without elastic search)
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
Hi,

search in trean is not working. At least not without elastic search 
according to Jan.

Still the error message is rather cryptic:
exception 'Horde_Http_Exception' with message 'couldn't connect to 
host' in 
/datastore/DEVEL/horde/framework/Http/lib/Horde/Http/Request/Curl.php:118 
Stack trace: #0 
/datastore/DEVEL/horde/framework/Http/lib/Horde/Http/Client.php(181): 
Horde_Http_Request_Curl->send() #1 
/datastore/DEVEL/horde/framework/ElasticSearch/lib/Horde/ElasticSearch/Client.php(74): Horde_Http_Client->request('GET', 'http://localhos...', NULL, Array) #2 /datastore/DEVEL/horde/framework/ElasticSearch/lib/Horde/ElasticSearch/Client.php(36): Horde_ElasticSearch_Client->_request('horde-user-4/tr...') #3 /datastore/DEVEL/horde/content/lib/Indexer.php(62): Horde_ElasticSearch_Client->search('horde-user-4', 'trean-bookmark', 'gmx') #4 /datastore/DEVEL/horde/trean/lib/Bookmarks.php(73): Content_Indexer->search('horde-user-4', 'trean-bookmark', 'gmx') #5 /datastore/DEVEL/horde/trean/search.php(25): Trean_Bookmarks->searchBookmarks('gmx') #6 {main} Next exception 'Horde_ElasticSearch_Exception' with message 'couldn't connect to host' in /datastore/DEVEL/horde/framework/ElasticSearch/lib/Horde/ElasticSearch/Client.php:77 Stack trace: #0 /datastore/DEVEL/horde/framework/ElasticSearch/lib/Horde/ElasticSearch/Client.php(36): Horde_ElasticSearch_Client->_request('horde-user-4/tr...') #1 /datastore/DEVEL/horde/content/lib/Indexer.php(62): Horde_ElasticSearch_Client->search('horde-user-4', 'trean-bookmark', 'gmx') #2 /datastore/DEVEL/horde/trean/lib/Bookmarks.php(73): Content_Indexer->search('horde-user-4', 'trean-bookmark', 'gmx') #3 /datastore/DEVEL/horde/trean/search.php(25): Trean_Bookmarks->searchBookmarks('gmx') #4 {main} Next exception 'Content_Exception' with message 'couldn't connect to host' in /datastore/DEVEL/horde/content/lib/Indexer.php:64 Stack trace: #0 /datastore/DEVEL/horde/trean/lib/Bookmarks.php(73): Content_Indexer->search('horde-user-4', 'trean-bookmark', 'gmx') #1 /datastore/DEVEL/horde/trean/search.php(25): Trean_Bookmarks->searchBookmarks('gmx') #2 
{main}

Thomas